
Redmine - Patch #4071

Accept more input when replying to a ticket using e-mail

2009-10-21 16:18 - Oxan -

Status: New Start date: 2009-10-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

Currently, you can only set the status field when you reply at a ticket using e-mail. This patch adds the possibility to change the

priority, category, tracker, target version, done ratio, project and custom fields, with respecting the allow_override setting.

You can delete the target version field with setting it to 'none'. The target version is named Target and the done ratio is named Done.

Example mail:

Here your comment

Target: 0.9

Done: 50

Tracker: Defect

Priority: Low

 Diff is made against 0.8.6, but should work for trunk too.

Associated revisions

Revision 4394 - 2010-11-12 12:34 - Jean-Philippe Lang

Makes MailHandler accept all issue attributes and custom fields that can be set/updated (#4071, #4807, #5622, #6110).

History

#1 - 2009-10-27 01:47 - Eric Davis

Some of these have already been implemented in trunk so the patch will fail to apply.  If someone can clean up this patch for trunk and add some unit

tests, I can apply it (see test/unit/mail_handler_test.rb for examples).

#2 - 2009-10-27 20:30 - Oxan -

- File mailpatch-trunk.patch added

Eric Davis wrote:

Some of these have already been implemented in trunk so the patch will fail to apply.  If someone can clean up this patch for trunk and add

some unit tests, I can apply it (see test/unit/mail_handler_test.rb for examples).

 The only difference between trunk and the 0.8 branch is that the function is renamed from receive_issue_update to receive_issue_reply. Anyway, I've

created a working patch for trunk.

I will write tests later.

#3 - 2009-11-28 13:16 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#4 - 2010-11-12 14:17 - Jean-Philippe Lang

All attributes can now be changed (r4394). But clearing attributes with 'none' is not yet implemented.

Files

mailer.patch 2.32 KB 2009-10-21 Oxan -
https://www.redmine.org/projects/redmine/repository/svn/revisions/4394


mailpatch-trunk.patch 2.47 KB 2009-10-27 Oxan -
